package merchant

import (
	"context"
	"kami/internal/model"
	"kami/internal/service"

	"kami/api/merchant/v1"
)

func (c *ControllerV1) StealUpdate(ctx context.Context, req *v1.StealUpdateReq) (res *v1.StealUpdateRes, err error) {
	err = service.StealRule().Update(ctx, req.ID, &model.MerchantHiddenConfigInput{
		MerchantHiddenConfig: req.MerchantHiddenConfig,
	})
	return
}
